<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class MailClaveUsuario extends Mailable
{
    use Queueable, SerializesModels;
    public $subject = 'Usario y clave del sistema';

    public $contacto; //="esta es la informacion de contancto"
    public $correo; //="esta es la informacion de contancto"

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($contacto)
    {
        $this->contacto = $contacto;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject($this->subject)
            ->view('emails.enviaClave')
            ->from('coop5estrellas2022@gmail.com', 'Cooperativa 5 Estrellas');
    }
}
